export declare enum ResponseType {
    JSON = 1,
    Text = 2,
    Binary = 3
}
export declare enum BodyType {
    Form = 1,
    File = 2,
    Auto = 3
}
export declare type Body = object | string | BinaryType;
export declare type HttpVerb = 'GET' | 'POST' | 'PUT' | 'DELETE' | 'PATCH' | 'HEAD' | 'OPTIONS' | 'CONNECT' | 'TRACE';
export interface HttpOptions {
    method: HttpVerb;
    url: string;
    headers?: Record<string, any>;
    params?: Record<string, any>;
    body?: Body;
    followRedirects: boolean;
    maxRedirections: boolean;
    connectTimeout: number;
    readTimeout: number;
    timeout: number;
    allowCompression: boolean;
    responseType?: ResponseType;
    bodyType: BodyType;
}
export declare type PartialOptions = Omit<HttpOptions, 'method' | 'url'>;
